
  CREATE SEQUENCE  "EE_TRANSL_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;

  CREATE TABLE "ELECTION_EVENT_TRANSLATION" 
   (	"ID" NUMBER(11,0), 
	"TENANT_ID" VARCHAR2(100 CHAR), 
	"ELECTION_EVENT_ID" VARCHAR2(100 CHAR), 
	"ALIAS" VARCHAR2(100 CHAR)
   ) ;

  ALTER TABLE "ELECTION_EVENT_TRANSLATION" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "ELECTION_EVENT_TRANSLATION" MODIFY ("TENANT_ID" NOT NULL ENABLE);
  ALTER TABLE "ELECTION_EVENT_TRANSLATION" MODIFY ("ELECTION_EVENT_ID" NOT NULL ENABLE);
  ALTER TABLE "ELECTION_EVENT_TRANSLATION" MODIFY ("ALIAS" NOT NULL ENABLE);
  
  ALTER TABLE "ELECTION_EVENT_TRANSLATION" ADD CONSTRAINT "ELECTION_EVENT_TRANSLATION_PK" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "ELECTION_EVENT_TRANSLATION" ADD CONSTRAINT "ELECTION_EVENT_TRANSLATION_UK1" UNIQUE ("TENANT_ID", "ELECTION_EVENT_ID", "ALIAS") ENABLE;
  
  ---
  CREATE SEQUENCE  "VC_TRANSL_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
   
  CREATE TABLE "VOTING_CARD_TRANSLATION" 
   (	"ID" NUMBER(11,0), 
	"TENANT_ID" VARCHAR2(100 CHAR), 
	"ELECTION_EVENT_ID" VARCHAR2(100 CHAR), 
	"VOTING_CARD_ID" VARCHAR2(100 CHAR), 
	"ALIAS" VARCHAR2(100 CHAR), 
	"VOTING_CARD_SET_ALIAS" VARCHAR2(100 CHAR), 
	"VERIFICATION_CARD_ID" VARCHAR2(100 CHAR)
   ) ;
  
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("TENANT_ID" NOT NULL ENABLE);
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("ELECTION_EVENT_ID" NOT NULL ENABLE);
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("VOTING_CARD_ID" NOT NULL ENABLE);
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("ALIAS" NOT NULL ENABLE);
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("VOTING_CARD_SET_ALIAS");
  ALTER TABLE "VOTING_CARD_TRANSLATION" MODIFY ("VERIFICATION_CARD_ID");
  
  ALTER TABLE "VOTING_CARD_TRANSLATION" ADD CONSTRAINT "VOTING_CARD_TRANSLATION_PK" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "VOTING_CARD_TRANSLATION" ADD CONSTRAINT "VOTING_CARD_TRANSLATION_UK1" UNIQUE ("TENANT_ID", "ELECTION_EVENT_ID", "VOTING_CARD_ID", "ALIAS") ENABLE;
  
  