
  CREATE SEQUENCE  "BB_TRANSL_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
   
  CREATE TABLE "BALLOT_BOX_TRANSLATION"
   (	"ID" NUMBER(11,0), 
	"TENANT_ID" VARCHAR2(100 CHAR), 
	"ELECTION_EVENT_ID" VARCHAR2(100 CHAR), 
	"BALLOT_BOX_ID" VARCHAR2(100 CHAR),
	"ALIAS" VARCHAR2(100 CHAR)
   ) ;
  
  ALTER TABLE "BALLOT_BOX_TRANSLATION" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "BALLOT_BOX_TRANSLATION" MODIFY ("TENANT_ID" NOT NULL ENABLE);
  ALTER TABLE "BALLOT_BOX_TRANSLATION" MODIFY ("BALLOT_BOX_ID" NOT NULL ENABLE);
  ALTER TABLE "BALLOT_BOX_TRANSLATION" MODIFY ("ALIAS" NOT NULL ENABLE);
  
  ALTER TABLE "BALLOT_BOX_TRANSLATION" ADD CONSTRAINT "BALLOT_BOX_TRANSLATION_PK" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "BALLOT_BOX_TRANSLATION" ADD CONSTRAINT "BALLOT_BOX_TRANSLATION_UK1" UNIQUE ("TENANT_ID", "ELECTION_EVENT_ID", "BALLOT_BOX_ID", "ALIAS") ENABLE;
