
  CREATE SEQUENCE  "COMPUTED_VALUES_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;

  CREATE TABLE "COMPUTED_VALUES" 
   (	"ID" NUMBER(11,0), 
	"VERIFICATION_CARD_ID" VARCHAR2(100 CHAR), 
	"VERIFICATION_CARD_SET_ID" VARCHAR2(100 CHAR), 
	"TENANT_ID" VARCHAR2(100 CHAR), 
	"ELECTION_EVENT_ID" VARCHAR2(100 CHAR), 
	"COMPUTED_VALUES" CLOB
   ) ;

  CREATE UNIQUE INDEX "SYS_C0010348" ON "COMPUTED_VALUES" ("ID") 
  ;

  CREATE UNIQUE INDEX "COMPUTED_VALUES_UK1" ON "COMPUTED_VALUES" ("TENANT_ID", "ELECTION_EVENT_ID", "VERIFICATION_CARD_SET_ID", "VERIFICATION_CARD_ID") 
  ;

  ALTER TABLE "COMPUTED_VALUES" ADD CONSTRAINT "COMPUTED_VALUES_UK1" UNIQUE ("TENANT_ID", "ELECTION_EVENT_ID", "VERIFICATION_CARD_SET_ID", "VERIFICATION_CARD_ID") ENABLE;
  ALTER TABLE "COMPUTED_VALUES" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "COMPUTED_VALUES" MODIFY ("COMPUTED_VALUES" NOT NULL ENABLE);
  ALTER TABLE "COMPUTED_VALUES" MODIFY ("ELECTION_EVENT_ID" NOT NULL ENABLE);
  ALTER TABLE "COMPUTED_VALUES" MODIFY ("TENANT_ID" NOT NULL ENABLE);
  ALTER TABLE "COMPUTED_VALUES" MODIFY ("VERIFICATION_CARD_SET_ID" NOT NULL ENABLE);
  ALTER TABLE "COMPUTED_VALUES" MODIFY ("VERIFICATION_CARD_ID" NOT NULL ENABLE);
  ALTER TABLE "COMPUTED_VALUES" MODIFY ("ID" NOT NULL ENABLE);
