  CREATE TABLE "EXTENDED_AUTHENTICATION"
   ( "VOTING_CARD_ID2" VARCHAR2(100 BYTE) NOT NULL ENABLE,
 "EXTRA_PARAM" VARCHAR2(50 BYTE) NOT NULL ENABLE,
 "ATTEMPTS" NUMBER(*,0) NOT NULL ENABLE,
 "ENC_START_VOTING_KEY1" VARCHAR2(150 BYTE) NOT NULL ENABLE,
 "TENANT_ID" VARCHAR2(100 BYTE) NOT NULL ENABLE,
 "ELECTION_EVENT" VARCHAR2(100 BYTE) NOT NULL ENABLE,
 "SALT" VARCHAR2(200 BYTE) NOT NULL ENABLE,
  CONSTRAINT "EXTENDED_AUTHENTICATION_PK" PRIMARY KEY ("VOTING_CARD_ID2")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 NOLOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
   ) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS NOLOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT) ;
  
   CREATE UNIQUE INDEX "GET_EXTENDED_DATA" ON "EXTENDED_AUTHENTICATION" ("VOTING_CARD_ID2", "TENANT_ID", "ELECTION_EVENT")
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS NOLOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT);