ALTER TABLE EXTENDED_AUTHENTICATION
DROP CONSTRAINT EXTENDED_AUTHENTICATION_PK;

ALTER TABLE EXTENDED_AUTHENTICATION
DROP COLUMN VOTING_CARD_ID2 CASCADE CONSTRAINTS;

ALTER TABLE EXTENDED_AUTHENTICATION
DROP COLUMN ENC_START_VOTING_KEY1;

ALTER TABLE EXTENDED_AUTHENTICATION
ADD  ENCRYPTED_SVK VARCHAR2(150 BYTE) NOT NULL ENABLE;

ALTER TABLE EXTENDED_AUTHENTICATION
ADD  AUTH_ID VARCHAR2(100 BYTE) NOT NULL ENABLE;

ALTER TABLE EXTENDED_AUTHENTICATION MODIFY
(
  SALT VARCHAR2(200 BYTE)  NULL,
  EXTRA_PARAM VARCHAR2(200 BYTE) NULL
);

CREATE UNIQUE INDEX "GET_EXTENDED_DATA" ON "EXTENDED_AUTHENTICATION" ("AUTH_ID", "TENANT_ID", "ELECTION_EVENT")
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS NOLOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT);

ALTER TABLE EXTENDED_AUTHENTICATION
ADD CONSTRAINT EXTENDED_AUTHENTICATION_PK PRIMARY KEY ("ELECTION_EVENT", "TENANT_ID", "AUTH_ID");